### Function

# EDataServer util_utf8_strstrcasedecomp

#### Declaration [src]

    const gchar*
    e_util_utf8_strstrcasedecomp (
      const gchar* haystack,
      const gchar* needle
    )

#### Description [src]

Find the first instance of `needle` in `haystack`, where both `needle` and `haystack` are UTF-8 strings. Both strings are stripped and decomposed for comparison, and case is ignored.

#### Parameters

`haystack`

  Type: `const gchar*`

  The string to search in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`needle`

  Type: `const gchar*`

  The string to search for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A pointer to the first instance of `needle` in `haystack`, or `NULL` if either of the strings are not legal UTF-8 strings.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.